org.apache.hc.client5.http.async.methods

## Class AbstractBinResponseConsumer<T>

- java.lang.Object
- - org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer
  - - org.apache.hc.client5.http.async.methods.AbstractBinResponseConsumer<T>

- Type Parameters:
    `T` - response message representation.
  All Implemented Interfaces:
    org.apache.hc.core5.http.nio.AsyncDataConsumer, org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>, org.apache.hc.core5.http.nio.ResourceHolder

      public abstract class AbstractBinResponseConsumer<T>
      extends org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer
      implements org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>

  Abstract response consumer that processes response body data as an octet stream.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBinResponseConsumer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `buildResult()` Triggered to generate object that represents a result of response message processing.
    `protected void` | `completed()`
    `void` | `consumeResponse(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.EntityDetails entityDetails, org.apache.hc.core5.http.protocol.HttpContext context, org.apache.hc.core5.concurrent.FutureCallback<T> resultCallback)`
    `void` | `failed(Exception cause)`
    `void` | `informationResponse(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.protocol.HttpContext context)`
    `protected abstract void` | `start(org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.http.ContentType contentType)` Triggered to signal the beginning of response processing.

    - ### Methods inherited from class org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer

      `capacityIncrement, consume, data, streamEnd, updateCapacity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hc.core5.http.nio.AsyncDataConsumer

      `consume, streamEnd, updateCapacity`

    - ### Methods inherited from interface org.apache.hc.core5.http.nio.ResourceHolder

      `releaseResources`

- - ### Constructor Detail

    - #### AbstractBinResponseConsumer

          public AbstractBinResponseConsumer()

  - ### Method Detail

    - #### start

          protected abstract void start(org.apache.hc.core5.http.HttpResponse response,
                                        org.apache.hc.core5.http.ContentType contentType)
                                 throws org.apache.hc.core5.http.HttpException,
                                        IOException

      Triggered to signal the beginning of response processing.
      Parameters:
        `response` - the response message head
        `contentType` - the content type of the response body, or `null` if the response does not enclose a response entity.
      Throws:
        `org.apache.hc.core5.http.HttpException` - If a protocol error occurs.
        `IOException` - If an I/O error occurs.

    - #### buildResult

          protected abstract T buildResult()

      Triggered to generate object that represents a result of response message processing.
      Returns:
        the result of response processing.

    - #### informationResponse

          public void informationResponse(org.apache.hc.core5.http.HttpResponse response,
                                          org.apache.hc.core5.http.protocol.HttpContext context)
                                   throws org.apache.hc.core5.http.HttpException,
                                          IOException

      Specified by:
        `informationResponse` in interface `org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

    - #### consumeResponse

          public final void consumeResponse(org.apache.hc.core5.http.HttpResponse response,
                                            org.apache.hc.core5.http.EntityDetails entityDetails,
                                            org.apache.hc.core5.http.protocol.HttpContext context,
                                            org.apache.hc.core5.concurrent.FutureCallback<T> resultCallback)
                                     throws org.apache.hc.core5.http.HttpException,
                                            IOException

      Specified by:
        `consumeResponse` in interface `org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

    - #### completed

          protected final void completed()

      Specified by:
        `completed` in class `org.apache.hc.core5.http.nio.entity.AbstractBinDataConsumer`

    - #### failed

          public void failed(Exception cause)

      Specified by:
        `failed` in interface `org.apache.hc.core5.http.nio.AsyncResponseConsumer<T>`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.